import { API } from "./Constants"

export function fetchAPI(
    url: string,
    payload: unknown,
    method = "POST",
): Promise<Response> {
    return fetch(`${API}/${url}`, {
        method,
        headers: {
            Accept: "application/json",
            "Content-Type": "application/json",
        },
        body: JSON.stringify(payload),
    })
}

export function fetchPOST(
    url: string,
    payload: unknown,
    method = "POST",
): Promise<Response> {
    return fetch(`/${url}`, {
        method,
        headers: {
            Accept: "application/json",
            "Content-Type": "application/json",
        },
        body: JSON.stringify(payload),
    })
}
